//ETA指标库
import { get,post } from "./index";

export default{
    /**
     * ETA指标列表
     */
    edbChartList(params){
        return get('/datamanage/edb_info/chart/list',params)
    },

    /**
     * ETA指标搜索
     * @param KeyWord
     * @param CurrentIndex
     * @param PageSize
     */
    edbSearchList(params){
        return get('/datamanage/edb_info/filter_by_es',params)
    },

    /**
     * ETA指标库目录数据仅含目录
     */
    edbClassifyList(){
        // return get('/datamanage/classify/items/v3',{})
        return get('/datamanage/classify/tree',{})
    },

    /**
     * ETA指标库目录列表
     * @param ParentId 父级目录id
     */
    edbCatalogList(params){
        return get('/datamanage/classify/simple',params)
    },

    /**
     * 新增ETA指标库分类
     * @param ClassifyName
     * @param Level
     * @param ParentId
     */
    edbClassifyAdd(params){
        return post('/datamanage/classify/add',params)
    },

    /**
     * 编辑ETA指标库分类
     * @param ClassifyName
     * @param ClassifyId
     */
    edbClassifyEdit(params){
        return post('/datamanage/classify/edit',params)
    },

    /**
     * 删除ETA指标库分类检测
     * @param ClassifyId
     * @param EdbInfoId
     */
    edbClassifyDeleteCheck(params){
        return post('/datamanage/classify/delete/check',params)
    },

    /**
     * 删除ETA指标库分类(包含指标的删除)
     * @param ClassifyId
     * @param EdbInfoId
     */
    edbClassifyDelete(params){
        return post('/datamanage/classify/delete',params)
    },

    /**
     * 移动目录
     * @param ClassifyId
     * @param ParentClassifyId
     * @param EdbInfoId
     * @param PrevClassifyId
     * @param NextClassifyId
     * @param PrevEdbInfoId
     * @param NextEdbInfoId
     */
    edbCatalogMove(params){
        return post('/datamanage/edb_classify/move',params)
    },

    /**
     * 移动ETA指标库分类
     * @param ClassifyId
     * @param ParentClassifyId
     * @param PrevClassifyId
     * @param NextClassifyId
     */
    edbClassifyMove(params){
        return post('/datamanage/edb_classify/move',params)
    },

    /**
     * 移动ETA指标
     * @param ClassifyId 移动到哪个分类
     * @param EdbInfoId
     * @param PrevEdbInfoId
     * @param NextEdbInfoId
     */
    edbMove(params){
        return post('/datamanage/edb_info/move',params)
    },

    /**
     * 基础指标详情
     * @param EdbInfoId
     */
    getBaseEdbInfo(params){
        return get('/datamanage/edb_info/detail',params)
    },

    /**
     * 基础指标编辑
     * @param EdbInfoId
     * @param ClassifyId
     * @param EdbName
     * @param Frequency
     * @param Unit
     */
    editBaseEdbInfo(params){
        return post('/datamanage/edb_info/edit',params)
    },

    /**
     * 指标关联的图表数据
     * @param EdbInfoId
     * @param CurrentIndex
     * @param PageSize
     */
    edbRelationChartList(params){
        return get('/datamanage/edb_info/relation/chart_list',params)
    },

    /**
     * 指标数据列表
     * @param PageSize
     * @param CurrentIndex
     * @param EdbInfoId
     * @param KeyWord
     */
    edbDataList(params){
        return get('/datamanage/edb_info/list',params)
    },

    /**
     * ETA指标引用的计算指标
     * @param EdbInfoId
     * @param CurrentIndex
     * @param PageSize
     */
    edbRelationEdbList(params){
        return get('/datamanage/edb_info/relation/edbinfo_list',params)
    },

    /**
     * 指标曲线图的数据
     * @param EdbInfoId
     * @param DateType
     * @param StartDate
     * @param EndDate
     */
    edbLineChartData(params){
        return get('/datamanage/edb_info/data',params)
    },

    /**
     * 指标季节性图的数据
     * @param EdbInfoId
     * @param Calendar
     * @param StartDate
     * @param EndDate
     */
    edbSeasonChartData(params){
        return get('/datamanage/edb_info/data/seasonal',params)
    },

    /**
     * 指标同比图的数据
     * @param EdbInfoId
     * @param DateType
     * @param StartDate
     * @param EndDate
     */
    edbTBChartData(params){
        return get('/datamanage/edb_info/data/tb',params)
    },

    /**
     * 计算指标详情
     * @param EdbInfoId
     */
    getCalculateEdbInfo(params){
        return get('/datamanage/edb_info/calculate/detail',params)
    },

    /**
     * 指标刷新
     * @param EdbInfoId
     */
    edbRefresh(params){
        return get('/datamanage/edb_info/refresh',params)
    },

    /**
     * 设置指标英文信息
     * @param EdbInfoId
     * @param EdbNameEn
     * @param UnitEn
     */
    edbInfoEnEdit(params){
        return post('/datamanage/edb_info/en/edit',params)
    },

    /**
     * 设置指标最新值
     * @param EdbInfoId
     * @param Date
     * @param Value
     */
    edbNewDataEdit(params){
        return post('/datamanage/edb_info/insert_config/set',params)
    },

    /**
     * 基础指标全部刷新
     * @param EdbInfoId
     */
    refreshBaseEDBData(params){
        return get('/datamanage/edb_info/refresh/all',params)
    },

    /**
     * 计算指标重新计算
     * @param EdbInfoId
     */
    calculateEDBReset(params){
        return post('/datamanage/edb_info/calculate/batch/reset',params)
    },

    /**
     * 获取指标历史生成记录
     * @param EdbInfoId
     */
    edbCreateHistory(params){
        return get('/datamanage/edb_info/trace',params)
    },

    /**
     * 保存指标图表信息
     * @param EdbInfoId
     * @param MaxValue 上限
     * @param MinValue 下限
     */
    edbChartInfoSave(params){
        return post('/datamanage/edb_info/modify',params)
    },

    /**
     * 指标搜索
     * @param Source 数据来源 1:同花顺,2:wind
     * @param EdbCode
     * @param CompanyCode
     */
    edbSearch(params){
        return get('/datamanage/edb_info/search',params)
    },

    /**
     * 新增基础指标
     * @param EdbCode
     * @param EndDate
     * @param StartDate
     * @param Source
     * @param EdbName
     * @param ClassifyId
     * @param Frequency
     * @param Unit
     */
    AddBaseEdbInfo(params){
        return post('/datamanage/edb_info/add',params)
    },

    /**
     * 获取指标来源集合
     * @param IsBase
     */
    getEDBSourceOpts(params){
        return get('/datamanage/edb_source/list',params)
    },

    /**
     * 计算指标(指标运算新增)
     * @param CalculateFormula 计算公式
     * @param ClassifyId
     * @param EdbName
     * @param Frequency
     * @param Unit
     * @param EdbInfoIdArr eg:[{EdbInfoId:100,FromTag:A}]
     */
    addCalculateFormula(params){
        return post('/datamanage/edb_info/calculate/save',params)
    },

    /**
     * 计算指标(指标运算编辑)
     * @param EdbInfoId
     * @param CalculateFormula 计算公式
     * @param ClassifyId
     * @param EdbName
     * @param Frequency
     * @param Unit
     * @param EdbInfoIdArr eg:[{EdbInfoId:100,FromTag:A}]
     */
    editCalculateFormula(params){
        return post('/datamanage/edb_info/calculate/edit',params)
    },

    /**
     * 指标计算新增
     * @param FromEdbInfoId
     * @param Source
     * @param ClassifyId
     * @param EdbName
     * @param Frequency
     * @param Unit
     * @param Formula
     * @param MoveFrequency
     * @param MoveType
     * @param Calendar
     */
    addCalculateEDB(params){
        return post('/datamanage/edb_info/calculate/batch/save',params)
    },

    /**
     * 指标计算编辑
     * @param EdbInfoId
     * @param FromEdbInfoId
     * @param Source
     * @param ClassifyId
     * @param EdbName
     * @param Frequency
     * @param Unit
     * @param Formula
     * @param MoveFrequency
     * @param MoveType
     * @param Calendar
     */
    editCalculateEDB(params){
        return post('/datamanage/edb_info/calculate/batch/edit',params)
    },

    /**
     * 拟合残差两个指标相关系数
     * @param Formula 传的日期eg:‘2023-08-10,2023-09-10’
     * @param EdbInfoIdArr
     */
    edbCorrelationIndex(params){
        return post('/datamanage/edb_info/calculate/compute_correlation',params)
    },

    /**
     * 批量添加指标进行计算
     * @params [{CalculateId,CalculateInfo:{}}]
     */
    batchAddCalculateEDB(params){
        return post('/datamanage/edb_info/calculate/batch/save/batch',params)
    },

    /**
     * 指标替换前校验
     */
    replaceEDBCheck(){
        return post('/datamanage/edb_info/replace/check',{})
    },

    /**
     * 指标替换
     * @param NewEdbInfoId
     * @param OldEdbInfoId
     */
    replaceEDB(params){
        return post('/datamanage/edb_info/replace',params)
    },
    /**
	 * 新增指标 检验指标是否存在接口
	 * @param {*} params Source SubSource EdbCode StockCode
	 */
	existEDBCheck: params => {
		return get('/datamanage/edb_info/exist/check',params)
	},
	/**
	 * 批量新增指标
	 * @param {*} params BatchList[{Source,EdbName,Frequency,Unit,ClassifyId,StockCode,EdbCode}]
	 */
	addBatchEDB: params => {
		return post('/datamanage/edb_info/batch/add',params)
	},

}